Metadata-Version: 2.4
Name: agentic-layer-sdk
Version: 0.13.8
Requires-Python: <3.15,>=3.14
Requires-Dist: a2a-sdk
Requires-Dist: loguru>=0.7.3
Requires-Dist: opentelemetry-exporter-otlp-proto-grpc
Requires-Dist: opentelemetry-exporter-otlp-proto-http
Requires-Dist: opentelemetry-instrumentation-httpx
Requires-Dist: opentelemetry-instrumentation-logging
Requires-Dist: opentelemetry-instrumentation-starlette
Requires-Dist: pydantic>=2
Requires-Dist: starlette
Description-Content-Type: text/markdown

# agentic-layer-sdk

Framework-independent shared utilities for the Agentic Layer SDK.

This package contains common code used by all agent framework adapters:
- Configuration models (`SubAgent`, `McpTool`)
- Constants
- Logging setup (loguru)
- OpenTelemetry setup
- Starlette OpenTelemetry instrumentation
